<%@ Control Language="C#" ClassName="CLQ" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Import Namespace="Microsoft.SharePoint.WebControls" %>

<script runat="server">

    
    
    protected void buttonRefresh_Click(object sender, EventArgs e)
    {

        SPWeb web = SPContext.Current.Web;
        SPSiteDataQuery dataQuery = new SPSiteDataQuery();
        string query = "<Where>" +
                            "<Eq>" +
                                "<FieldRef Name=\"Type\" />" +
                                "<Value Type=\"Text\">" + listBeerType.SelectedItem.Text + "</Value>" +
                            "</Eq>" +
                        "</Where>";

        Label1.Text = "<XMP>" + query + "</XMP>";
        dataQuery.Query = query;
        dataQuery.Lists = "<Lists ServerTemplate=\"120\" />";
        dataQuery.ViewFields = "<FieldRef Name=\"Brewery\" /><FieldRef Name=\"Place\" /><FieldRef Name=\"Title0\" /><FieldRef Name=\"Type\" />";
        dataQuery.Webs = "<Webs Scope=\"Recursive\" />";
        System.Data.DataTable tbl = web.GetSiteData(dataQuery);
        GridView1.DataSource = tbl;
        GridView1.DataBind();
        
    }
</script>

Select Type of Beer:
<asp:DropDownList ID="listBeerType" runat="server" Width="291px">
    <asp:ListItem>Lager</asp:ListItem>
    <asp:ListItem>Pale Ale</asp:ListItem>
    <asp:ListItem>Wit</asp:ListItem>
    <asp:ListItem>Triple</asp:ListItem>
</asp:DropDownList>
<asp:Button ID="buttonRefresh" runat="server" Text="Refresh" OnClick="buttonRefresh_Click" /><br />
<br />
<asp:GridView ID="GridView1" runat="server" BackColor="LightGoldenrodYellow" BorderColor="Tan"
    BorderWidth="1px" CellPadding="2" ForeColor="Black" GridLines="None" AutoGenerateColumns="False" EnableViewState="False">
    <FooterStyle BackColor="Tan" />
    <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
    <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" HorizontalAlign="Center" />
    <HeaderStyle BackColor="Tan" Font-Bold="True" />
    <AlternatingRowStyle BackColor="PaleGoldenrod" />
    <Columns>
        <asp:BoundField DataField="WebID" HeaderText="Web" />
        <asp:BoundField DataField="Brewery" HeaderText="Brewery" />
        <asp:BoundField DataField="Place" HeaderText="Place" />
        <asp:BoundField DataField="Title0" HeaderText="Beer" />
        <asp:BoundField DataField="Type" HeaderText="Type" />
        
    </Columns>
</asp:GridView>
<br />
&nbsp;<asp:Label ID="Label1" runat="server" Text="Label"></asp:Label>
